Package: org.apache.groovy.swing.binding

## [Java] Interface BindingUpdatable

-     public interface BindingUpdatable

  Since:
    Groovy 1.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `bind()` Causes automatic updating of bound values to be turned on.
    `` | `public void` | `rebind()` Causes the current bindings to be reset.
    `` | `public void` | `reverseUpdate()` If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `` | `public void` | `unbind()` Causes automatic updating of bound values to be turned off.
    `` | `public void` | `update()` Causes the values to be propagated from the source to the target

- - ### Method Detail

    - #### public void bind()

      Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

    - #### public void rebind()

      Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

    - #### public void reverseUpdate()

      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown

    - #### public void unbind()

      Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

    - #### public void update()

      Causes the values to be propagated from the source to the target